"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4820>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e48b0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4940>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e49d0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4a60>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4af0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4b80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4c10>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4ca0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4d30>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4dc0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4e50>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4ee0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e4f70>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9040>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e90d0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9160>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e91f0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9280>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9310>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e93a0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9430>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e94c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9550>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9670>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e95e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9700>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9790>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9820>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e98b0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9940>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e99d0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9a60>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9af0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9b80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9c10>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9ca0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9d30>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9dc0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9e50>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9ee0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0e9f70>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed040>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed0d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed160>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed1f0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed280>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed310>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed3a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed430>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed4c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed550>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed5e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed670>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed700>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed790>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed820>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed8b0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed940>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ed9d0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0eda60>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0edaf0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0edb80>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0edc10>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0edca0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0ede50>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0edd30>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0edee0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0edf70>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0040>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f00d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0160>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0280>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f01f0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0310>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f03a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0430>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0550>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f04c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f05e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0670>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0700>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0790>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f0820>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fed0e0f08b0>)]
name: str = 'fr_HOCCN'
